import { logger } from '@/module/logger.ts';
import glob from 'fast-glob';
import path from 'node:path';
const root = process.cwd();

export const globFiles = async (pattern: string) => {
  const res = await glob(pattern, {
    cwd: root,
    onlyFiles: true,
    dot: true,
    // absolute: true,
    // ignore: ['build/01-summary.md'],
  });
  logger.info(`globFiles:,`, res);

  const key = path.relative(root, res[0]);
  logger.info(`key: `, key);
};

globFiles('./build/**/*');
