import MD5 from 'crypto-js/md5.js';
import fs from 'node:fs';

export const getHash = (file: string) => {
  if (!fs.existsSync(file)) return '';
  const content = fs.readFileSync(file, 'utf-8');
  return MD5(content).toString();
};

export const getBufferHash = (buffer: Buffer) => {
  return MD5(buffer.toString()).toString();
};
